xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) David Roundy <droundy@darcs.net>
License | BSD
Maintainer | none
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ToggleLayouts

Contents

- Usage

Description

A module to toggle between two layouts.

Synopsis

- toggleLayouts :: (LayoutClass lt a, LayoutClass lf a) => lt a -> lf a -> ToggleLayouts lt lf a
- data ToggleLayout
  - = ToggleLayout
  - | Toggle String
- data ToggleLayouts lt lf a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.ToggleLayouts

Then edit your `layoutHook` by adding the ToggleLayouts layout:

    myLayout = toggleLayouts Full (Tall 1 (3/100) (1/2)) ||| etc..
    main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

To toggle between layouts add a key binding like

       , ((modm .|. controlMask, xK_space), sendMessage ToggleLayout)

or a key binding like

       , ((modm .|. controlMask, xK_space), sendMessage (Toggle "Full"))

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

toggleLayouts :: (LayoutClass lt a, LayoutClass lf a) => lt a -> lf a -> ToggleLayouts lt lf a

data ToggleLayout

Constructors

ToggleLayout |
Toggle String |

Instances

Read ToggleLayout |
Show ToggleLayout |
Message ToggleLayout |
Typeable * ToggleLayout |

data ToggleLayouts lt lf a

Instances

(LayoutClass lt a, LayoutClass lf a) => LayoutClass (ToggleLayouts lt lf) a |
(Read (lt a), Read (lf a)) => Read (ToggleLayouts lt lf a) |
(Show (lt a), Show (lf a)) => Show (ToggleLayouts lt lf a) |